import { http } from "/@/utils/http";
import { loadEnv } from "@build/index";
const { VITE_PROXY_DOMAIN_REAL, VITE_PROXY_USER_REAL } = loadEnv();
const userAPi = VITE_PROXY_DOMAIN_REAL;
const yewuApi = VITE_PROXY_USER_REAL + "/admin/";

export const httpList = (data: object): any => {
  return http.request("post", `${yewuApi}bargainlist`, { data });
};

export const httpDetail = (data: object): any => {
  return http.request("post", `${yewuApi}bragaininfo`, { data });
};

export const httpPurchaseCostDetail = (data: object): any => {
  return http.request("post", `${yewuApi}getgoodzxinfobynotzixun`, { data });
};

export const httpCreate = (data: object): any => {
  return http.request("post", `${yewuApi}projectcreate`, { data });
};

export const httpDelete = (data: object): any => {
  return http.request("post", `${yewuApi}branddel`, { data });
};
export const httpUpdate = (data: object): any => {
  return http.request("post", `${yewuApi}brandedit`, { data });
};
export const httpStatus = (data: object): any => {
  return http.request("post", `${yewuApi}bragainstatus`, { data });
};


export const httpFileUpload = (data: object): any => {
  return http.request("post", `${yewuApi}uploadfile`, { data });
};
